<div id="entete_3">

	<div id="nav">

		<?php 
		$menu_niv = array();

		// Sélection de tous les niveaux
		$requete_menu_niveaux = mysqli_query($connexion_mysql, 'SELECT module_niveau FROM admin_modules WHERE module_activation=1 ORDER BY module_niveau');
		$nb_menu_niveaux = mysqli_num_rows($requete_menu_niveaux);
		for($menu_niv_boucle=0; $menu_niv_boucle<$nb_menu_niveaux; $menu_niv_boucle++){
			$resultat_menu_niveau = mysqli_fetch_array($requete_menu_niveaux);
			array_push($menu_niv, $resultat_menu_niveau[0]);
		}

		$tableau_menu_bloc = array_unique($menu_niv);

		foreach($tableau_menu_bloc as $menu_bloc){

			echo '<ul class="nav-links" id="nav-'.$menu_bloc.'">'."\n";

				if($menu_bloc=='primaire'){
					echo '<li class="nav-item"><a id="nav-icon" href="'.$general_path_relatif.'" class="nav-icon-home"><span id="nav-icon-inner">Page d\'accueil</span></a></li>';
				}

				// Sélection des modules enregistrés
				$requete_menu_modules = mysqli_query($connexion_mysql, 'SELECT module_id, module_libelle, module_repertoire FROM admin_modules WHERE module_niveau="'.$menu_bloc.'" AND module_activation=1 ORDER BY module_classement');
				$nb_menu_modules = mysqli_num_rows($requete_menu_modules);
				if($nb_menu_modules!=0){

					for($menu_module_boucle=0; $menu_module_boucle<$nb_menu_modules; $menu_module_boucle++){
						$resultat_menu_module = mysqli_fetch_array($requete_menu_modules);
						$menu_module_id = $resultat_menu_module[0];
						$menu_module_libelle = decodage_apostrophe(html_entity_decode(stripslashes($resultat_menu_module[1])));
						$menu_module_repertoire = html_entity_decode(stripslashes($resultat_menu_module[2]));

						if(preg_match('/\/modules\/'.$menu_module_repertoire.'\//', $PHP_SELF)==true){
							$menu_module_actif_1 = '<span class="menu_module_actif">';
							$menu_module_actif_2 = '</span>';
						}else{
							$menu_module_actif_1 = '';
							$menu_module_actif_2 = '';
						}

						if($_SESSION['SessionADMIN_compte_type']!='utilisateur' OR ($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND in_array($menu_module_id, $_SESSION['SessionADMIN_compte_acces_modules'])==true)){

							// Sélection des rubriques enregistrées du module
							$requete_menu_rubriques = mysqli_query($connexion_mysql, 'SELECT rubrique_id, rubrique_libelle, rubrique_repertoire FROM admin_rubriques WHERE rubrique_module='.$menu_module_id.' AND rubrique_activation=1 ORDER BY rubrique_classement');
							$nb_menu_rubriques = mysqli_num_rows($requete_menu_rubriques);
							if($nb_menu_rubriques==0){

								echo '<li class="nav-item nav-single">'."\n";
									echo '<a class="nav-link" href="'.$general_path_relatif.'modules/'.$menu_module_repertoire.'/"><span class="nav-link-inner">'.$menu_module_actif_1.$menu_module_libelle.$menu_module_actif_2.'</span></a>'."\n";
								echo '</li>'."\n";

							}else{

								echo '<li class="nav-item nav-menu">'."\n";
									echo '<a class="nav-link" href="Javascript: void(0);"><span class="nav-link-inner"><span class="actionIcon"><img src="'.$admin_img.'p.gif" width="10" height="10"></span> '.$menu_module_actif_1.$menu_module_libelle.$menu_module_actif_2.'</span></a>'."\n";
									echo '<div class="menu-content">'."\n";
										echo '<ul class="menu-items">'."\n";

											for($menu_rubrique_boucle=0; $menu_rubrique_boucle<$nb_menu_rubriques; $menu_rubrique_boucle++){
												$resultat_menu_rubrique = mysqli_fetch_array($requete_menu_rubriques);
												$menu_rubrique_id = $resultat_menu_rubrique[0];
												$menu_rubrique_libelle = decodage_apostrophe(html_entity_decode(stripslashes($resultat_menu_rubrique[1])));
												$menu_rubrique_repertoire = html_entity_decode(stripslashes($resultat_menu_rubrique[2]));

												if($_SESSION['SessionADMIN_compte_type']!='utilisateur' OR ($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND in_array($menu_rubrique_id, $_SESSION['SessionADMIN_compte_acces_rubriques'])==true)){

													echo '<li class="menu-item"><a href="'.$general_path_relatif.'modules/'.$menu_module_repertoire.'/'.$menu_rubrique_repertoire.'/" class="menu-link">'.$menu_rubrique_libelle.'</a></li>'."\n";

												}

											}

										echo '</ul>'."\n";
									echo '</div>'."\n";
								echo '</li>'."\n";

							}

						}

					}

				}

			echo '</ul>'."\n";

		}
		?>

	</div>

</div>
<br clear="all">
